Skip to content

Add generic or specific seats referencing an offer or unpriced segment. (ancillary seatbook)

Request

Security
bearerAuth
Path
ReservationResource_Identifierstring, <= 128 charactersrequired

The Reservation Identifier

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
Headers
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Bodyapplication/json
buildAncillarySeatOffersArray of objects, [ 1 .. 10 ] items(BuildAncillarySeatOffers)
curl -i -X POST \
  https://api.pp.travelport.net/11/air/book/airoffer/reservationworkbench/49f58f5f-c443-43b4-9f5d-be405fd00a01/offers/buildancillaryseatoffers \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
  -d '{
    "buildAncillarySeatOffers": [
      {
        "buildFromOffer": {
          "offerID": {
            "id": "offer_1",
            "offerRef": "offer_1",
            "Identifier": {
              "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
              "authority": "TVPT"
            }
          },
          "productSegmentSequenceArray": [
            {
              "productID": {
                "id": "product_1",
                "productRef": "product_1",
                "Identifier": {}
              },
              "segmentSequenceArray": [
                1,
                2
              ]
            }
          ]
        },
        "buildFromUnpricedFlightSegmentRefs": [
          "unpricedFlightSegment_01",
          "unpricedFlightSegment_02"
        ],
        "seatAssignment": "1A",
        "seatCharacteristic": [
          "A"
        ],
        "travelerRefs": "traveler_1"
      }
    ]
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
OfferListResponseobject(OfferListResponse)

The response of an Offer list endpoint request, such as AirPrice and Add Offer calls.
Defines one or more air offers returned including the offer identifiers and related response data needed for subsequent booking steps.

Response
{ "OfferListResponse": { "OfferID": [ null ], "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }